function [a, b, c, d] = find_coeficients(y,y_dd,h)

    nr_splines = length(y)-1;

    a = zeros(1,nr_splines);
    b = zeros(1,nr_splines);
    c = zeros(1,nr_splines);
    d = zeros(1,nr_splines);

    for i = 1:nr_splines
        a(i) = (y_dd(i+1) - y_dd(i))/(6*h(i)); 
        b(i) = y_dd(i)/2;
        c(i) = (y(i+1)-y(i))/h(i) - y_dd(i+1)*h(i)/6 - y_dd(i)*h(i)/3;
        d(i) = y(i);
    end
end

